petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatFindZeroDiagonals

Finds all the rows of a matrix that have zero or no entry in the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFindZeroDiagonals(Mat mat,IS *is)

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameter

is -if any rows have zero diagonals this contains the list of them

### See Also

MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages